#!/bin/bash

# Setup build environment
if [ ! -d "/opt/build" ]
then
	mkdir -p /opt/build
fi
chown -R sysadmin:admins /opt/build

# Build and install
su sysadmin -c "git clone https://git.xo.nl/marcel/zfs-utils.git /opt/build/zfs-utils"
su sysadmin -c "git clone https://git.xo.nl/marcel/zfs-linux-lts.git /opt/build/openzfs"

BUILDVER=$(cat /opt/build/openzfs/PKGBUILD | grep _kernelver_full | cut -f 2 -d \")
KERNVER=$(uname -r)

if [ ! "$BUILDVER-lts" == "$KERNVER" ]
then
	echo "Kernel version not supported."
	echo "Version $KERNVER found."
	echo "Version $BUILDVER required."
	exit
else
	su sysadmin -c "cd /opt/build/zfs-utils && makepkg --noconfirm --skipchecksums --skippgpcheck -si"
	su sysadmin -c "cd /opt/build/openzfs && makepkg --noconfirm --skipchecksums --skippgpcheck -si"
	echo "zfs" > /etc/modules-load.d/zfs.conf
#	sed -i 's/#IgnorePkg   =/IgnorePkg   = linux-lts linux-lts-headers nvidia-lts/g' /etc/pacman.conf
fi
